<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='webcalendar' name='/usr/share/eole/mysql/webcalendar/updates/webcalendar-update-0.sql' rm='True' mkdir='True'/>
    </files>

    <containers>
        <container name='web'>
            <package>webcalendar-apps</package>
            <!-- services de configuration apache -->
            <service method="apache" servicelist="webcalendar">webcalendar</service>
            <!-- fichier de configuration de apache -->
            <file filelist='webcalendar' name='/etc/apache2/sites-available/webcalendar' source='webcalendar-apache.conf'/>
            <file filelist='webcalendar' name='/var/www/html/webcalendar/includes/user-cas.php' source='webcalendar-user-cas.php' rm='True'/>
            <file filelist='webcalendar' name='/var/www/html/webcalendar/includes/user-ldap.php' source='webcalendar-user-ldap.php' rm='True'/>
            <file filelist='webcalendar' name='/var/www/html/webcalendar/install/default_config.php' source='webcalendar-default_config.php' rm='True'/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_webcalendar' type='oui/non' description='Activer WebCalendar (agendas partagés)'>
                <value>oui</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='hidden_if_in' source='activer_webcalendar'>
            <param>non</param>
            <target type='filelist'>webcalendar</target>
            <target type='servicelist'>webcalendar</target>
        </condition>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>webcalendar</target>
            <target type='servicelist'>webcalendar</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_webcalendar'>WebCalendar est une application d'agendas partagés</variable>
    </help>
</creole>
